## org.h2.mvstore
Class FreeSpaceList

    java.lang.Object
      org.h2.mvstore.FreeSpaceList

    public class FreeSpaceList

extends java.lang.Object

A list that maintains ranges of free space (in pages) in a file.

Constructor Summary
`FreeSpaceList()`

Method Summary
`int` `allocatePages(long length)` Allocate a number of pages.
`void` `clear()` Reset the list.
`void` `markFree(Chunk c)` Mark the chunk as free.
`void` `markUsed(Chunk c)` Mark a chunk as used.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FreeSpaceList

    public FreeSpaceList()

Method Detail

### clear

    public void clear()

  Reset the list.

### allocatePages

    public int allocatePages(long length)

  Allocate a number of pages.

  Parameters:
    `length` - the number of bytes to allocate
  Returns:
    the position in pages

### markUsed

    public void markUsed(Chunk c)

  Mark a chunk as used.

  Parameters:
    `c` - the chunk

### markFree

    public void markFree(Chunk c)

  Mark the chunk as free.

  Parameters:
    `c` - the chunk

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`